Skip to main content
Read, create, update, and delete custom fields.

List all custom fields

curl https://api.relate.so/v1/custom_fields \
  -H "Authorization: Bearer {api_key}"

Retrieve a custom field

curl https://api.relate.so/v1/custom_fields/:custom_field_id \
  -H "Authorization: Bearer {api_key}"

Create a custom field

curl https://api.relate.so/v1/custom_fields \
  -H "Authorization: Bearer {api_key}" \
  -H "Content-Type: application/json" \
  -d '{"name":"field","model":"organization","data_type":"select","options":["one","two"],"accepts_multiple_values":false}'
  • name and model are required.
  • model must be one of "organization", "contact", "deal".
  • data_type must be one of "text", "textarea", "url", "number", "date", "datetime", "select", "user", "contact". (Defaults to "text" if omitted.)
  • options is required if data_type is "select".
  • accepts_multiple_values is required if data_type is one of "select", "user", "contact".

Update a custom field

curl -X PATCH https://api.relate.so/v1/custom_fields/:custom_field_id \
  -H "Authorization: Bearer {api_key}" \
  -H "Content-Type: application/json" \
  -d '{"name":"field2","options":["one","two","three"]}'
  • Only name and options can be updated.

Delete a custom field

curl -X DELETE https://api.relate.so/v1/custom_fields/:custom_field_id \
  -H "Authorization: Bearer {api_key}"